Package com.orchestranetworks.ui.form

# Interface UIFormContext

All Superinterfaces:
  `UIResourceLocator`, `UISessionContext`

public interface UIFormContext extends UIResourceLocator, UISessionContext
Context provided by the user interface container that helps when defining the various parts of a custom form.

Since:
  5.3.0
See Also:
  - `UIForm`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Adaptation`
  `getCurrentDataSet()`
  Returns the dataset containing the current record.
  `Perspective`
  `getCurrentPerspective()`
  Returns the current perspective.
  `Adaptation`
  `getCurrentRecord()`
  Returns the persisted record being edited.
  `SchemaNode`
  `getCurrentRecordNode()`
  Returns the persisted record node being edited.
  `AdaptationTable`
  `getCurrentTable()`
  Returns the current table in which the record is going to be created/modified.
  `UICustomViewContext`
  `getCustomViewContext()`
  Returns the view context.
  `String`
  `getOptionalRequestParameterValue(String aParameterName)`
  Returns the HTTP parameter values in the incoming request.
  `String[]`
  `getOptionalRequestParameterValues(String aParameterName)`
  Returns the HTTP parameter values in the incoming request.
  `String`
  `getPreviousTabSelected(String aTabbedPaneId)`
  Returns the tab id selected prior to submit in the associated `tabbed pane`.
  `ValueContext`
  `getValueContext()`
  Returns the value context of the root of the record.
  `boolean`
  `isCalledFromAdminContext()`
  Returns `true` if this form pane is displayed from a screen of the administration section.
  `boolean`
  `isCalledFromWorkflowContext()`
  Returns `true` if this form pane is displayed from a screen of the workflow section.
  `boolean`
  `isCreatingRecord()`
  Returns `true` if the form is displayed in the context of a new record creation.
  `boolean`
  `isDuplicatingRecord()`
  Returns `true` if the form is displayed in the context of the duplication of an existing record.

  ### Methods inherited from interface com.orchestranetworks.ui.UIResourceLocator

  `createWebComponentForRootSession, createWebComponentForSubSession, getURLForAjaxComponent, getURLForAjaxComponent, getURLForPerspectiveSelection, getURLForPerspectiveSelection, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForRest, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForViewSelection`

  ### Methods inherited from interface com.orchestranetworks.ui.UISessionContext

  `getLocale, getSession`

- ## Method Details

  - ### isCreatingRecord

    boolean isCreatingRecord()
    Returns `true` if the form is displayed in the context of a new record creation. In this case, the persistent record does not yet exist.

  - ### isDuplicatingRecord

    boolean isDuplicatingRecord()
    Returns `true` if the form is displayed in the context of the duplication of an existing record. In this case, the target persistent record does not yet exist.

  - ### isCalledFromWorkflowContext

    boolean isCalledFromWorkflowContext()
    Returns `true` if this form pane is displayed from a screen of the workflow section.

  - ### isCalledFromAdminContext

    boolean isCalledFromAdminContext()
    Returns `true` if this form pane is displayed from a screen of the administration section.

  - ### getCurrentDataSet

    Adaptation getCurrentDataSet()
    Returns the dataset containing the current record.

  - ### getCurrentRecord

    Adaptation getCurrentRecord()
    Returns the persisted record being edited. Returns `null` if in creation mode.

    Note: it is recommended to access values by means of the method `getValueContext()`, except for specific needs.

  - ### getCurrentRecordNode

    SchemaNode getCurrentRecordNode()
    Returns the persisted record node being edited. Returns `null` if in creation mode.

    Note: it is recommended to access values by means of the method `getValueContext()`, except for specific needs.

    Since:
      5.8.0

  - ### getCurrentTable

    AdaptationTable getCurrentTable()
    Returns the current table in which the record is going to be created/modified. Never returns null.

  - ### getValueContext

    ValueContext getValueContext()
    Returns the value context of the root of the record.

  - ### getOptionalRequestParameterValue

    String getOptionalRequestParameterValue(String aParameterName)
    Returns the HTTP parameter values in the incoming request.
    Since:
      5.5.0

  - ### getOptionalRequestParameterValues

    String[] getOptionalRequestParameterValues(String aParameterName)
    Returns the HTTP parameter values in the incoming request.
    Since:
      5.5.0

  - ### getPreviousTabSelected

    String getPreviousTabSelected(String aTabbedPaneId)
    Returns the tab id selected prior to submit in the associated `tabbed pane`.

    `aTabbedPaneId` shall be a valid id of an `UIFormPaneWithTabs`.

    Parameters:
      `aTabbedPaneId` - the id of the `tabbed pane`
    Returns:
      the tab id selected prior to submit,
      or `null` if it is the initial page load, or if `aTabbedPaneId` is not associated with a tabbed pane.
    Since:
      5.8.0

  - ### getCurrentPerspective

    Perspective getCurrentPerspective()
    Returns the current perspective.
    Since:
      6.0.0

  - ### getCustomViewContext

    UICustomViewContext getCustomViewContext()
    Returns the view context.
    Since:
      6.1.0